cURL
curl --request GET \
--url 'https://api.fastforex.io/fx/pairs/historical-limits?api_key='import requests
url = "https://api.fastforex.io/fx/pairs/historical-limits?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fastforex.io/fx/pairs/historical-limits?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"interval": "P1D",
"price": "bid",
"pairs": {
"EURUSD": "1976-01-02T00:00:00.000Z",
"GBPUSD": "1970-01-02T00:00:00.000Z",
"USDJPY": "1975-01-02T00:00:00.000Z"
},
"ms": 12
}FX Trading Pairs
FX Pairs Historical Limits
FX pairs earliest available historical data point for the supplied interval (P1D default)
GET
/
fx
/
pairs
/
historical-limits
cURL
Authorizations
api_keyapiKeyHeaderbearerAuthbasicAuth
Query Parameters
ISO8601 duration, such as P1D (daily). Defaults to P1D. Options are P1D, PT1H, PT1M. ISO8601 Duration. https://en.wikipedia.org/wiki/ISO_8601#Durations
bid or ask
Available options:
bid, ask Response
Success
Server response time in milliseconds
ISO8601 Duration. https://en.wikipedia.org/wiki/ISO_8601#Durations
bid or ask
Available options:
bid, ask Show child attributes
Show child attributes